package com.hw.dms.service;

import java.util.List;
import com.hw.dms.domain.DmsPlanLube;

/**
 * 润滑计划Service接口
 * 
 * @author Open Platform
 * @date 2024-01-12
 */
public interface IDmsPlanLubeService 
{
    /**
     * 查询润滑计划
     * 
     * @param planLubeId 润滑计划主键
     * @return 润滑计划
     */
    public DmsPlanLube selectDmsPlanLubeByPlanLubeId(Long planLubeId);

    /**
     * 查询润滑计划列表
     * 
     * @param dmsPlanLube 润滑计划
     * @return 润滑计划集合
     */
    public List<DmsPlanLube> selectDmsPlanLubeList(DmsPlanLube dmsPlanLube);

    /**
     * 新增润滑计划
     * 
     * @param dmsPlanLube 润滑计划
     * @return 结果
     */
    public int insertDmsPlanLube(DmsPlanLube dmsPlanLube);

    /**
     * 修改润滑计划
     * 
     * @param dmsPlanLube 润滑计划
     * @return 结果
     */
    public int updateDmsPlanLube(DmsPlanLube dmsPlanLube);

    /**
     * 批量删除润滑计划
     * 
     * @param planLubeIds 需要删除的润滑计划主键集合
     * @return 结果
     */
    public int deleteDmsPlanLubeByPlanLubeIds(Long[] planLubeIds);

    /**
     * 删除润滑计划信息
     * 
     * @param planLubeId 润滑计划主键
     * @return 结果
     */
    public int deleteDmsPlanLubeByPlanLubeId(Long planLubeId);
}
